docs

# ReplyKeyboardRowBuilder

class ReplyKeyboardRowBuilder : RowBuilder < KeyboardButton >
Content copied to clipboard

Row builder of KeyboardButton

## See also

replyKeyboard
ReplyKeyboardBuilder.row

## Constructors

ReplyKeyboardRowBuilder
Link copied to clipboard
fun ReplyKeyboardRowBuilder ()
Content copied to clipboard

## Functions

add
Link copied to clipboard
fun add (t: KeyboardButton ): Boolean
Content copied to clipboard
unaryPlus
Link copied to clipboard
operator fun KeyboardButton . unaryPlus (): Boolean
Content copied to clipboard

## Properties

row
Link copied to clipboard
val row : List < KeyboardButton >
Content copied to clipboard

## Extensions

requestContactButton
Link copied to clipboard
inline fun ReplyKeyboardRowBuilder . requestContactButton (text: String ): Boolean
Content copied to clipboard

Creates and put RequestContactKeyboardButton

requestLocationButton
Link copied to clipboard
inline fun ReplyKeyboardRowBuilder . requestLocationButton (text: String ): Boolean
Content copied to clipboard

Creates and put RequestLocationKeyboardButton

requestPollButton
Link copied to clipboard
inline fun ReplyKeyboardRowBuilder . requestPollButton (text: String , pollType: KeyboardButtonPollType ): Boolean
Content copied to clipboard

Creates and put RequestPollKeyboardButton

simpleButton
Link copied to clipboard
inline fun ReplyKeyboardRowBuilder . simpleButton (text: String ): Boolean
Content copied to clipboard

Creates and put SimpleKeyboardButton

webAppButton
Link copied to clipboard
inline fun ReplyKeyboardRowBuilder . webAppButton (text: String , webApp: WebAppInfo ): Boolean
Content copied to clipboard
inline fun ReplyKeyboardRowBuilder . webAppButton (text: String , url: String ): Boolean
Content copied to clipboard

Creates and put WebAppKeyboardButton